Loading...
Searching...
No Matches
juce::KeyboardFocusTraverser Class Reference

## Detailed Description

Controls the order in which keyboard focus moves between components.

The default behaviour of this class uses a FocusTraverser object internally to determine the default/next/previous component until it finds one which wants keyboard focus, as set by the Component::setWantsKeyboardFocus() method.

If you need keyboard focus traversal in a more customised way, you can create a subclass of ComponentTraverser that uses your own algorithm, and use Component::createKeyboardFocusTraverser() to create it.

See also
  FocusTraverser, ComponentTraverser, Component::createKeyboardFocusTraverser

The documentation for this class was generated from the following file:

- juce_gui_basics/keyboard/juce_KeyboardFocusTraverser.h

Inheritance diagram for juce::KeyboardFocusTraverser:

## Public Member Functions

| ~KeyboardFocusTraverser () override=default
| Destructor.
Component * | getDefaultComponent (Component *parentComponent) override
| Returns the component that should receive keyboard focus by default within the given parent component.
Component * | getNextComponent (Component *current) override
| Returns the component that should be given keyboard focus after the specified one when moving "forwards".
Component * | getPreviousComponent (Component *current) override
| Returns the component that should be given keyboard focus after the specified one when moving "backwards".
std::vector< Component * > | getAllComponents (Component *parentComponent) override
| Returns all of the components that can receive keyboard focus within the given parent component in traversal order.
Public Member Functions inherited from juce::ComponentTraverser
virtual | ~ComponentTraverser ()=default
| Destructor.

## Constructors and Destructors

## ~KeyboardFocusTraverser()

juce::KeyboardFocusTraverser::~KeyboardFocusTraverser | ( |  | ) |

override default

Destructor.

## Member Functions

## getDefaultComponent()

Component * juce::KeyboardFocusTraverser::getDefaultComponent | ( | Component * | parentComponent | ) |

override virtual

Returns the component that should receive keyboard focus by default within the given parent component.

The default implementation will return the foremost focusable component (as determined by FocusTraverser) that also wants keyboard focus, or nullptr if there is no suitable component.

Implements juce::ComponentTraverser.

## getNextComponent()

Component * juce::KeyboardFocusTraverser::getNextComponent | ( | Component * | current | ) |

override virtual

Returns the component that should be given keyboard focus after the specified one when moving "forwards".

The default implementation will return the next focusable component (as determined by FocusTraverser) that also wants keyboard focus, or nullptr if there is no suitable component.

Implements juce::ComponentTraverser.

## getPreviousComponent()

Component * juce::KeyboardFocusTraverser::getPreviousComponent | ( | Component * | current | ) |

override virtual

Returns the component that should be given keyboard focus after the specified one when moving "backwards".

The default implementation will return the previous focusable component (as determined by FocusTraverser) that also wants keyboard focus, or nullptr if there is no suitable component.

Implements juce::ComponentTraverser.

## getAllComponents()

std::vector< Component * > juce::KeyboardFocusTraverser::getAllComponents | ( | Component * | parentComponent | ) |

override virtual

Returns all of the components that can receive keyboard focus within the given parent component in traversal order.

The default implementation will return all focusable child components (as determined by FocusTraverser) that also wants keyboard focus.

Implements juce::ComponentTraverser.

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited